Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# OfxStatementContainer Class Reference

Inheritance diagram for OfxStatementContainer:

## Detailed Description

Represents a statement for either a bank account or a credit card account.

Can be built from either a <stmtrs> or a <ccstmtrs> OFX SGML entity

Definition at line 129 of file ofx_containers.hh.

## Public Member Functions
| OfxStatementContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
virtual int | add_to_main_tree ()
| Add this container to the main tree.
virtual int | gen_event ()
| Generate libofx.h events.
void | add_account (OfxAccountData *account_data)
void | add_balance (OfxBalanceContainer *ptr_balance_container)
| OfxStatementContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
virtual int | add_to_main_tree ()
| Add this container to the main tree.
virtual int | gen_event ()
| Generate libofx.h events.
void | add_account (OfxAccountData *account_data)
void | add_balance (OfxBalanceContainer *ptr_balance_container)
## Data Fields
OfxStatementData | data

## Member Function Documentation

void OfxStatementContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxGenericContainer.

void OfxStatementContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxGenericContainer. Definition at line 50 of file ofx_container_statement.cpp.

virtual int OfxStatementContainer::add_to_main_tree | ( |  | ) | `[virtual]`

| Add this container to the main tree. add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer. Returns: true if successfull, false otherwise. Reimplemented from OfxGenericContainer.

int OfxStatementContainer::add_to_main_tree | ( |  | ) | `[virtual]`

| Add this container to the main tree. add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer. Returns: true if successfull, false otherwise. Reimplemented from OfxGenericContainer. Definition at line 89 of file ofx_container_statement.cpp.

virtual int OfxStatementContainer::gen_event | ( |  | ) | `[virtual]`

| Generate libofx.h events. gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. Returns: true if a callback function vas called, false otherwise. Reimplemented from OfxGenericContainer.

int OfxStatementContainer::gen_event | ( |  | ) | `[virtual]`

| Generate libofx.h events. gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. Returns: true if a callback function vas called, false otherwise. Reimplemented from OfxGenericContainer. Definition at line 101 of file ofx_container_statement.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.0/lib/ofx_containers.hh
- ofx_container_statement.cpp
- fx-0.8.0/lib/ofx_container_statement.cpp